Bug 308251 - Review Request: lybniz - A function graph plotter
Review Request: lybniz - A function graph plotter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 20:19 EDT by Stewart Adam
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 19:14:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2007-09-26 20:19:23 EDT
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/lybniz/lybniz-1.3-1.fc8.src.rpm
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/lybniz/lybniz.spec
Description:
Lybniz is an easy to use mathematical function graph plotter using PyGTK.
Comment 1 Parag AN(पराग) 2007-09-27 00:08:49 EDT
Need some updates in SPEC
1) Source URL should be
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
2) You can use --delete-original in desktop-file-install command and remove
following line
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
3)rpmlint on SRPM gave me
lybniz.src: W: strange-permission lybniz-startup.sh 0755
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.
4) I don't see any use of CFLAGS. You can remove it.
Comment 2 Stewart Adam 2007-09-27 00:14:01 EDT
Made the changes - Here's the updated pacakge:
Spec URL:
http://www.diffingo.com/downloads/diffingo-repo/lybniz/lybniz-1.3-2.fc8.src.rpm
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/lybniz/lybniz.spec
Comment 3 Parag AN(पराग) 2007-09-27 01:10:16 EDT
Source URL is not working.
Actually it should be
Source0:        http://downloads.sourceforge.net/lybniz2/%{name}-%{version}.tar.gz
Comment 4 Parag AN(पराग) 2007-09-27 01:15:23 EDT
installed package but desktop file is not working as 
Exec=lybniz.py
is not in installed path and actual main executable program is lybniz
so it should be
Exec=lybniz
Comment 6 Parag AN(पराग) 2007-09-27 23:28:18 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
6cb01766fb627a5046d482645c69f39a  lybniz-1.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file handled correctly.
+ Package lybniz-1.3-3.fc8 ->
  Requires: /bin/sh /usr/bin/python pygtk2 >= 2.6 python >= 2.4
+ GUI app.

APPROVED.
Comment 7 Mamoru TASAKA 2007-09-28 00:05:13 EDT
Please check the ownership of %{_datadir}/%{name}/ .
Comment 8 Parag AN(पराग) 2007-09-28 00:23:29 EDT
How come my eyes missed that? Looks I should take a rest for day now.

Stewart,
  Change %files section line from
%{_datadir}/%{name}/*
to
%{_datadir}/%{name}
Comment 10 Stewart Adam 2007-09-28 00:33:52 EDT
New Package CVS Request
=======================
Package Name: lybniz
Short Description: A function graph plotter
Owners: firewing
Branches: FC-6 F-7
InitialCC: firewing
Cvsextras Commits: yes
Comment 11 Parag AN(पराग) 2007-09-28 01:12:09 EDT
I assume you did that change in 
http://www.diffingo.com/downloads/diffingo-repo/lybniz/lybniz-1.3-4.fc8.src.rpm

* issue got solved.
* mock build is successful

But this new SPEC gave now rpmlint warning
lybniz.noarch: W: incoherent-version-in-changelog 4.82-4 1.3-4.fc7
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

Before cvs-import, remember to correct changelog version.
Comment 12 Kevin Fenzi 2007-09-28 17:30:13 EDT
cvs done.
Comment 13 Stewart Adam 2007-09-28 19:14:40 EDT
Built - Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.